<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
session_start();
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."brotator/locale/".$settings['locale'].".php")) {
	include INFUSIONS."brotator/locale/".$settings['locale'].".php";
} else { include INFUSIONS."brotator/locale/polish.php"; }

// START ++++++++++++++++++++++++++++
function ads_logowanieformularz() {
  global $locale;

  echo "
    <center>
    <form name='frmAdsLogin' action='".FUSION_SELF."?act=alogin' method='POST'>
    <table class='tbl' width='300px'>
      <tr><td colspan='2'><b>".$locale['pbbr450']."</b></td></tr>
      <tr><td colspan='2'>&nbsp;</td></tr>
      <tr>
        <td>".$locale['pbbr451']." :</td>
        <td><input type='text' name='frmAdsLogin' class='textbox' maxlength='32'></td>
      </tr>
      <tr>
        <td>".$locale['pbbr452']." :</td>
        <td><input type='password' name='frmAdsPass' class='textbox' maxlength='32'></td>
      </tr>
      <tr><td colspan='2'><input type='submit' value='".$locale['pbbr104']." &raquo;' class='textbox'></td></tr>
    </table>
    </form>
    </center>
  ";
}

function ads_zaloguj() {
  global $locale;

  $ads_login = stripinput(trim($_POST['frmAdsLogin']));
  $ads_pass  = stripinput(trim($_POST['frmAdsPass']));

  if (($ads_login!="") AND ($ads_pass!="")) {
    $result = dbquery("SELECT id FROM ".DB_PREFIX."pb_advertisers WHERE login='".$ads_login."' AND pass=MD5('".$ads_pass."');");
    if (dbrows($result) == 1) {
      $aid = dbarraynum($result);
      
      $_SESSION['pbbr_aid'] = $aid[0];
      $_SESSION['pbbr_alogin'] = $ads_login ;

      header("Location: ".FUSION_SELF);
    }
    else
      echo "<b>".$locale['pbbr453']."</b><br>".$locale['pbbr454'];
  }
  else
    echo "<b>".$locale['pbbr453']."</b><br>".$locale['pbbr462'];
}

function ads_wyloguj() {
  unset($_SESSION['pbbr_aid']);
  unset($_SESSION['pbbr_alogin']);
  
  header("Location: ".FUSION_SELF);
}

function ads_pokazbanery() {
  global $locale;

  echo "<center><p><b>".$locale['pbbr463']." :</b></p></center>";
  echo "<table width='100%' border='0' class='tbl'>";
  
  $result = dbquery("SELECT * FROM ".DB_PREFIX."pb_brotator WHERE ads_id=".$_SESSION['pbbr_aid']);
  while ($data = dbarray($result)) {
    echo "
      <tr>
        <td align='center' valign='top' colspan='2'>";
  $po = array(".gif",".GIF",".jpeg",".JPEG",".jpg",".JPG",".png",".PNG");  
  $swf = array(".swf",".SWF");
  $przed = strrchr($data['banner'], ".");
  $przedd = strrchr($data['banner'], ".");
  if (in_array($przed, $po)) {
	echo "<a href='".PB_JUMP."?bid=".$data['id']."' target='_external'>";
	echo "<img src='".$data['banner']."' alt='' width='300' height='40'>";
	echo "</a>\n";
	}
  elseif (in_array($przedd, $swf)) {
  echo "<OBJECT style='bgcolor:#000000'
 	codeBase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0' 
	height='40' width='300' classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000'><PARAM NAME='movie' VALUE='".$data['banner']."'><PARAM NAME='quality' VALUE='high'><PARAM NAME='menu' VALUE='false'>
	<embed src='".$data['banner']."' quality='high' menu='false' 
	pluginspage='http://www.macromedia.com/go/getflashplayer' 
	type='application/x-shockwave-flash' width='300' height='40'></embed>
	</OBJECT>";
	}
  echo "<br>".$data['url']."&nbsp;&nbsp;
    ";
    
    if ($data['active']==1)
      echo "<span style='color:#00b400'>".$locale['pbbr459']."</span>";
  else
      echo "<span style='color:#ff0000'>".$locale['pbbr460']."</span>";
    
    echo "
        </td>
      </tr>
      
      <tr>
        <td align='right' valign='top' width='30%'>".$locale['pbbr304']." :</td>
        <td align='center' valign='top'><b>".$data['views']."</b></td>
      </tr>
      
      <tr>
        <td align='right' valign='top'>".$locale['pbbr305']." :</td>
        <td align='center' valign='top'><b>".$data['clicks']."</b></td>
      </tr>
      
      <tr><td align='center' valign='top' colspan='2'><hr></td></tr>
    ";
  }
  
  echo "</table>";
}

function ads_menu() {
  global $locale;

  echo "
    <table width='100%'>
      <tr>
        <td width='25%'>
          Witaj <b>".$_SESSION['pbbr_alogin']."</b>
        </td>
        <td align='right' width='75%'>
          [<a href='".FUSION_SELF."' class='side'>".$locale['pbbr200']."</a>]
          [<a href='".FUSION_SELF."?act=ashowb' class='side'>".$locale['pbbr203']."</a>]
          [<a href='".FUSION_SELF."?act=alogout' class='side'>".$locale['pbbr464']."</a>]
        </td>
      </tr>
    </table>
    ";
}

function ads_glowna() {
  global $locale;

  $result1 = dbquery("SELECT COUNT(*) FROM ".DB_PREFIX."pb_brotator WHERE ads_id=".$_SESSION['pbbr_aid']." AND active=1");
  $ban_aktywne = dbarraynum($result1);
  $result2 = dbquery("SELECT COUNT(*) FROM ".DB_PREFIX."pb_brotator WHERE ads_id=".$_SESSION['pbbr_aid']." AND active=0");
  $ban_nieaktywne = dbarraynum($result2);

  $wszystkie = $ban_aktywne[0] + $ban_nieaktywne[0];
  
  echo "
    <br>
    <table class='tbl' width='100%'>
      <tr>
        <td>".$locale['pbbr455']."</td>
        <td>".$wszystkie."</td>
      </tr>
      <tr>
        <td>".$locale['pbbr456']."</td>
        <td>".$ban_aktywne[0]."</td>
      </tr>
      <tr>
        <td>".$locale['pbbr457']."</td>
        <td>".$ban_nieaktywne[0]."</td>
      </tr>
    </table>
  ";
}

opentable($locale['pbbr458']);

if ( !isSet($_SESSION['pbbr_aid']) ) {
  if ( (isSet($_GET['act'])) AND ($_GET['act']=="alogin") )
    ads_zaloguj();
  else
    ads_logowanieformularz();
}
else {
  ads_menu();
  switch(strtoupper($_GET['act'])) {
    case "ALOGOUT": ads_wyloguj(); break;
    case "ASHOWB": ads_pokazbanery(); break;
    default: ads_glowna(); break;
  }
}

closetable();
// KONIEC +++++++++++++++++++++++++++

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
